dpkg-scansources(1)

NAME
dpkg-scansources - suche nach ».dsc«-Dateien und baue den »Sources«-Index

SYNOPSIS
dpkg-scansources [Optionen] Binär-Verz [Override-Datei [Pfad-Prefix]] > Sources

BESCHREIBUNG
<dpkg-scansources> durchsucht das übergebene Binär-Verz nach .dsc-Dateien. Diese werden verwendet, um einen Debian-Quell-Index zu erstellen, der auf der Standardausgabe ausgegeben wird.

Die Override-Datei wird, falls angegeben, verwendet, um die Prioritäten in den ergebenen Index-Datensätzen zu setzen und sich über das Betreuer-Feld in den .dsc-Dateien hinwegzusetzen. Lesen Sie dpkg-scanpackages(1) für das Format dieser Datei. Beachten Sie: Da die Override-Datei nach Binär- und nicht Quellpaketen indiziert wird, gibt es ein hier kleines Problem. Die aktuelle Implementierung verwendet die höchste Priorität aller von einer .dsc-Datei erzeugten Binärpakete für die Priorität des Quellpakets, und den Inhalt für das Hinwegsetzen über die Betreuer-Information aus dem Eintrag für das erste in der .dsc-Datei aufgeführte Binärpaket. Dies könnte sich ändern.

Der Pfad-Präfix wird, falls angegeben, vor das Directory-Feld in dem erzeugten Quell-Index vorangestellt. Sie verwenden dies im allgemeinen, damit das Directory-Feld den Pfad von der Spitze der Debian-Hierarchie enthält.

Note: If you want to access the generated Sources file with apt(8) you will probably need to compress the file with gzip(1) (generating a Sources.gz file). apt ignores uncompressed Sources files except on local access (i.e. file:// sources).

OPTIONEN

--debug
    Schalte Debugging ein

--help
    Zeige den Bedienungshinweis und sterbe.

-n, --no-sort
    Sortiere die Index-Datensätze nicht. Normalerweise werden sie nach Quellpaketnamen sortiert.

-s, --source-override Datei
    Verwenden Sie Datei als Quell-Override-Datei. Die Standardeinstellung ist der Name der Override-Datei, die Sie angegeben haben, um .src ergänzt.

    Die Quell-Override-Datei hat ein anderes Format als die Binär-Override-Datei.Sie enthält nur zwei, durch Leerzeichen separierte Felder, der erste ist der Quellpaketname und der zweite der Bereich. Leerzeilen und Kommentarzeilen werden in normaler Art und Weise ignoriert. Falls ein Paket in beiden Dateien auftaucht, dann nimmt die Quell-Override Vorrang für die Einstellung des Bereichs.

--version
    Gebe die Versionsnummer aus und beende sich.

SIEHE AUCH
dpkg-scanpackages(1).

AUTOR
Roderick Schertler <roderick@argon.org>

Die deutsche Übersetzung wurde 2006 von Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.